import React, {useState} from 'react';
import {View, Text, FlatList} from 'react-native';
import HeaderSB from '../../../components/Header/HeaderSB';
import Item from './Item';
import TextMoney from '../../../components/Input/InputMoney';
import {toPriceVnd, numberFormat} from '../../../Config/Functions';
const data = [
  {
    id: '1',
    month: 2,
    day: '20',
    name: 'Nạp tiền',
    money: 10000000,
    note: 'Ghi chú nap tiền để đầu tư',
    status: 1,
    date: '20/02/2021',
  },
  {
    id: '2',
    month: 2,
    day: '20',
    name: 'Nạp tiền',
    money: 2000000,
    note: 'Ghi chú nap tiền để đầu tư',
    status: 1,
    date: '20/02/2021',
  },
  {
    id: '3',
    month: 2,
    day: '20',
    name: 'Nạp tiền',
    money: 3000000,
    note: 'Ghi chú nap tiền để đầu tư',
    status: 1,
    date: '20/02/2021',
  },
  {
    id: '4',
    month: 2,
    day: '20',
    name: 'Nạp tiền',
    money: 4000000,
    note: 'Ghi chú nap tiền để đầu tư',
    status: 1,
    date: '20/02/2021',
  },
  {
    id: '5',
    month: 2,
    day: '20',
    name: 'Nạp tiền',
    money: 9000000,
    note: 'Ghi chú nap tiền để đầu tư',
    status: 1,
    date: '20/02/2021',
  },
];

const Rose = (props) => {
  const [text, setText] = useState('');
  return (
    <View style={{flex: 1}}>
      <HeaderSB title={'Hoa hồng'} />
      <TextMoney
        value={toPriceVnd(text)}
        style={{width: 100}}
        onChangeText={(val) => setText(val.split(',').join(''))}
      />
      <View style={{justifyContent: 'center', alignItems: 'center', flex: 1}}>
        <Text
          style={{
            fontSize: 18,
            fontWeight: 'bold',
            textAlign: 'center',
          }}>
          Tính năng đang được phát triển, vui lòng quay lại sau!
        </Text>
      </View>
      {/* <View style={{flex: 1}}>
        <FlatList
          keyExtractor={(item) => item.id}
          data={data}
          renderItem={({item}) => <Item item={item} />}
        />
      </View> */}
    </View>
  );
};

export default Rose;
